/**
 * @function doSend
 */
"use strict";

const uuid = require('uuid');

/** @lends doSend */
function doSend(User, Recover, email, expireDuration) {
    return User
        .findOne({where: {email: email}})
        .then(user => {
            if (!user) {
                return null;
            }
            return Recover.findOrCreate({
                where: {
                    user_id: user.id
                },
                defaults: {
                    user_id: user.id,
                    expire_at: new Date(new Date() + expireDuration),
                    recover_token: uuid.v4().replace(/\-/g, ''),
                    recovered: false
                }
            })
        })
}

module.exports = doSend;

